# Uses of Class
javafx.scene.control.DatePicker

Packages that use DatePicker
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of DatePicker in javafx.scene.control

Methods in javafx.scene.control that return types with arguments of type DatePicker
Modifier and Type
Method
Description
`final ObjectProperty<Callback<DatePicker,DateCell>>`
DatePicker.`dayCellFactoryProperty()`
A custom cell factory can be provided to customize individual day cells in the DatePicker popup.
`final Callback<DatePicker,DateCell>`
DatePicker.`getDayCellFactory()`
Gets the value of the `dayCellFactory` property.
Method parameters in javafx.scene.control with type arguments of type DatePicker
Modifier and Type
Method
Description
`final void`
DatePicker.`setDayCellFactory(Callback<DatePicker,DateCell> value)`
Sets the value of the `dayCellFactory` property.

## Uses of DatePicker in javafx.scene.control.skin

Constructors in javafx.scene.control.skin with parameters of type DatePicker
Modifier
Constructor
Description
``
`DatePickerSkin(DatePicker control)`
Creates a new DatePickerSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.